/** Example of Apemanfile.js */

'use strict'

const co = require('co')

let { NODE_ENV } = process.env
let { User, UserSign, UserRecover } = require('./example-models')

module.exports = {
  $cwd: __dirname,
  $pkg: { /* ... */ },
  $proto: [ /* ... */ ],
  $api: {
    // Define APIs
    'module01': require('apeman-api-recover')(
      User, UserSign, UserRecover,
      {
        logging: NODE_ENV === 'development'
      }
    )
  }
}
