#!/usr/bin/env node

/**
 * Example client
 */
'use strict'

const co = require('co')
const apemanApiClient = require('apeman-api-client')

co(function * () {
  // Setup an client
  let api = yield apemanApiClient('/api')

  // Connect to a module
  let recover = yield api.connect('module01')
  let pong = yield recover.ping()
  /* ... */

  yield recover.issue('hoge@example.com')
})

